CO_HBconsumer_t Struct Reference
CANopen_301 » Heartbeat consumer

Heartbeat consumer object. More...

`#include <CO_HBconsumer.h>`

## Data Fields

CO_EM_t * | em
| From CO_HBconsumer_init()
const uint32_t * | HBconsTime
| From CO_HBconsumer_init()
CO_HBconsNode_t * | monitoredNodes
| From CO_HBconsumer_init()
uint8_t | numberOfMonitoredNodes
| From CO_HBconsumer_init()
bool_t | allMonitoredActive
| True, if all monitored nodes are active or no node is monitored. More...
uint8_t | allMonitoredOperational
| True, if all monitored nodes are NMT operational or no node is monitored. More...
bool_t | NMTisPreOrOperationalPrev
| previous state of var
CO_CANmodule_t * | CANdevRx
| From CO_HBconsumer_init()
uint16_t | CANdevRxIdxStart
| From CO_HBconsumer_init()
void(* | pFunctSignalNmtChanged )(uint8_t nodeId, uint8_t idx, CO_NMT_internalState_t state, void *object)
| Callback for remote NMT changed event. More...
void * | pFunctSignalObjectNmtChanged
| Pointer to object.

## Detailed Description

Heartbeat consumer object.

Object is initilaized by CO_HBconsumer_init(). It contains an array of CO_HBconsNode_t objects.

## Field Documentation

## allMonitoredActive

bool_t CO_HBconsumer_t::allMonitoredActive

True, if all monitored nodes are active or no node is monitored.

Can be read by the application

## allMonitoredOperational

uint8_t CO_HBconsumer_t::allMonitoredOperational

True, if all monitored nodes are NMT operational or no node is monitored.

Can be read by the application

## pFunctSignalNmtChanged

void(* CO_HBconsumer_t::pFunctSignalNmtChanged) (uint8_t nodeId, uint8_t idx, CO_NMT_internalState_t state, void *object)

Callback for remote NMT changed event.

From CO_HBconsumer_initCallbackNmtChanged() or NULL.

The documentation for this struct was generated from the following file:

- 301/CO_HBconsumer.h